Cancel payment request
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/orders/{order_number}/cancel-payment-request \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/orders/{order_number}/cancel-payment-request"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/orders/{order_number}/cancel-payment-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Orders
Cancel payment request
Use when the express checkout payment flow is used and the user wants to switch payment methods (e.g. started with UPI, then chose another). Without this call, the user must wait until the payment-status API returns status: failed and is_retry_available: true (typically ~3 minutes). Calling this endpoint cancels the existing payment request so the user can retry payment immediately.
POST
/
orders
/
{order_number}
/
cancel-payment-request
Cancel payment request
Was this page helpful?
⌘I